

#include "BUILTIN.h"

#include "Char.h"

#include "Nat.h"

#include "Int.h"
extern OBJ _AFileConv_1(OBJ);OBJ __AFileConv_1; /* ` */
OBJ __AFileConv_2; /* `'2 */

extern OBJ _AFileConv_1(OBJ x1) /* ` */
{OBJ r;
 CPPRD(__AFileConv_2,1);
 FREE(x1,1);
 r=__AFileConv_2;
 return r;}

static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_AFileConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AFile();
 init_AChar();
 init_AVoid();
 init_ANat();
 init_AInt();
 init_AString();
 init_ACom();
 init_ASeq();
 init_AOption();
 DEN("some file",__AFileConv_2);
 CLS(1,_AFileConv_1,__AFileConv_1);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);}

